<div>
  <article class="column" phx-hook="ConversationListHooks" id="133">
    <h2>Ongoing Conversations</h2>
    <%= for conversation <- @current_user.conversations do %>
      <div>
        <%= link conversation.title,
            to: Routes.conversation_path(@socket, CuriousMessengerWeb.ConversationLive, conversation.id, @current_user.id),
            data: if Map.get(conversation, :notify), do: [notify: true], else: [] %>
      </div>
    <% end %>
  </article>

  <article class="column">
    <h2>Create Conversation</h2>

    <%= form_for @conversation_changeset, "", [phx_submit: :create_conversation, phx_hook: "CreateConversationFormHooks", id: "123"], fn f -> %>
      <p>
        <%= inputs_for f, :conversation_members, fn cmf -> %>
          <%= remove_member_link(@contacts, cmf.source.changes[:user_id], @current_user.id) %>

          <%= hidden_input cmf, :user_id, value: cmf.source.changes[:user_id] %>
        <% end %>
      </p>

      <p>
        <%= text_input f, :title, placeholder: "Title (optional)" %>
        <%= submit "Create", disabled: disable_create_button?(assigns) %>
      </p>

      <ul>
        <%= for user <- contacts_except(@contacts, @current_user) do %>
          <li>
            <%= add_member_link(user) %>
          </li>
        <% end %>
      </ul>
    <% end %>

  </article>
</div>